Bug 1171225 - Kernel:HEAD need config update for ARM architectures
Kernel:HEAD need config update for ARM architectures
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other openSUSE Factory
: P4 - Low : Normal (vote)
: ---
Assigned To: Andreas Färber
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-05 19:13 UTC by Kasimir _
Modified: 2020-05-19 09:00 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kasimir _ 2020-05-05 19:13:41 UTC
Kernel:HEAD need config update for ARM architectures

https://build.opensuse.org/project/show/Kernel:HEAD
Comment 1 Takashi Iwai 2020-05-06 16:18:53 UTC
Could you elaborate what update is needed...?
Comment 2 Kasimir _ 2020-05-06 16:27:15 UTC
kernel-default is not built because ARM architectures disable (need config update)

"- disable ARM architectures (need config update)" see also https://build.opensuse.org/package/rdiff/Kernel:HEAD/kernel-source?linkrev=base&rev=8909
Comment 3 Takashi Iwai 2020-05-06 16:57:38 UTC
Thanks, I see it now.

arm64 is also disabled, which is bad.  Adding more people to the party.
Comment 4 Michal Kubeček 2020-05-06 17:48:54 UTC
This has been an agreement with ARM developers since before I started
maintaining our master branch. With each -rc1, there is a lot of new config
options which need to be set. For most architectures it's up to the branch
maintainer (i.e. me) to choose reasonable defaults. For ARM architectures,
branch maintainer disables their build on update to -rc1 and it's up to ARM
developers to update the ARM configs and reenable the build. You can see the
repeating pattern in git log.

I don't think there is a need for a bug report, this is how the process works.
Comment 5 Andreas Färber 2020-05-19 07:29:40 UTC
The remaining two configs have been queued for merging in Git. Once merged, it may take a day or two for packages to become available in OBS.
Comment 6 Michal Kubeček 2020-05-19 09:00:46 UTC
Git branch master is updated now, tomorrow's KotD in Kernel:HEAD should build
for all architectures.